CREATE OR REPLACE FUNCTION ARQUIVO_DACON_R15(
     P_CDEMPRESA              IN EMPRESA.CDEMPRESA%TYPE,
     P_DTINICIO               IN NOTAFISCAL.DTENTRSAID%TYPE,
     P_DTFIM                  IN NOTAFISCAL.DTENTRSAID%TYPE,
     P_NRSEQARQMAG            IN ARQMAGNETICO.NRSEQARQMAG%TYPE,
     P_PISPASEP               IN VARCHAR2) RETURN NUMBER
  AS
     V_CONTREG15        NUMBER;
  BEGIN
   /*----------------------------------R15A-------------------------------------*/
   IF (P_PISPASEP = '3') THEN
      FOR C_REG_R15A IN (SELECT (RPAD('R15A',4,' ')        ||
                                  TO_CHAR(P_DTINICIO,'MM') ||
                                  '01'                     ||
                                  LPAD('0',14,'0')         || --Calculado automaticamente: Coluna Contribuio da Linha 08A/04, Linha 08B/26 ou Linha 08C/17.
                                  LPAD('0',14,'0')         || --Calculado automaticamente: "Valores Apurados" da Ficha 09A dos produtos na Ficha 04A
                                  LPAD('0',14,'0')         || --Calculado automaticamente: "Valor Apurado" da Ficha 09B
                                  LPAD('0',14,'0')         || --Calculado automaticamente: "Valores Apurados" da Ficha 10A dos produtos na Ficha 05A
                                  LPAD('0',14,'0')         || --Calculado automaticamente: "Valor Apurado" da Ficha 10B
                                  LPAD('0',14,'0')         || --Calculado automaticamente: "Contribuio Adicionada" da Ficha 11
                                  LPAD('0',14,'0')         || --Calculado automaticamente: "Crdito Adicionado" da Ficha 11
                                  LPAD('0',14,'0')         || --Calculado automaticamente: "Contribuio Diferida" da Ficha 12
                                  LPAD('0',14,'0')         || --Calculado automaticamente: Soma dos valores das Linhas 15A/01 a 15A/08
                                  LPAD('0',14,'0')         || -- PIS/Pasep Retida na Fonte por rgos, Autarquias Fundaes Federais
                                  LPAD('0',14,'0')         || --PIS/Pasep Retida na Fonte pelas Demais Entidades da Administrao Pblica Federal
                                  LPAD(LTRIM(REPLACE(TO_CHAR(SUM(NVL(B.VR06,0)),'000000000000.00'),'.')),'14','0') || --PIS/Pasep Retida na Fonte por Pessoas Jurdicas de Direito Privado
                                  LPAD(LTRIM(REPLACE(TO_CHAR(SUM(NVL(B.VR05,0)),'000000000000.00'),'.')),'14','0') || --PIS/Pasep Retida na Fonte por rgos, Autarquias e Fundaes dos Estados, Distrito Federal e Municpios
                                  LPAD('0',14,'0')         || --PIS/Pasep Retida na Fonte por Sociedade Cooperativa
                                  LPAD('0',14,'0')         || --PIS/Pasep Retida na Fonte por Fabricantes de Veculos e Mquinas
                                  LPAD('0',14,'0')         || --PIS/Pasep Substituio pela no Ocorrncia do Fato Gerador Presumido
                                  LPAD('0',14,'0')         || --Crdito Presumido  Medicamentos
                                  LPAD('0',14,'0')         || --Crditos Admitidos no Regime Cumulativo
                                  LPAD('0',14,'0')         || --PIS/Pasep Paga pelo Substituto Tributrio
                                  LPAD('0',14,'0')         || --Outras Dedues
                                  LPAD('0',14,'0')         || --Calculado automaticamente: Soma das Linhas 15A/01 a 15A/20
                                  LPAD('0',14,'0')         || --PIS/Pasep  pagar - Folha de Salrios
                                  LPAD('0',14,'0')         || --PIS/Pasep  pagar de SCP
                                  LPAD('0',14,'0')         || --PIS/Pasep  pagar retida de cooperados
                                  LPAD('0',164,'0')        ||
                                  LPAD('0',10,'0'))REG_R15A
                           FROM
                              (SELECT TO_CHAR(A.VRIMPOSTOIT) AS VR01,
                                      (CASE WHEN A.CDSITUTRIBITNFE = '02' THEN  TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR02,
                                      (CASE WHEN ((A.CDSITUTRIBITNFE = '05')AND(VRALIQITEM > 0.00))THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR03,
                                      (CASE WHEN A.CDSITUTRIBITNFE = '03' THEN  TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR04,
                                      (CASE WHEN ((A.IDPRIPUBFORN  = 'B') OR (A.IDPRIPUBCLIE = 'B')) AND IDENTRSAIDOP = 'S' THEN TO_CHAR((VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '55', 'I') + VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '56', 'I'))) ELSE LPAD('0',14,'0') END) AS VR05,
                                      (CASE WHEN ((A.IDPRIPUBFORN  = 'V') OR (A.IDPRIPUBCLIE = 'V')) AND IDENTRSAIDOP = 'S' THEN TO_CHAR((VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '55', 'I') + VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '56', 'I'))) ELSE LPAD('0',14,'0') END) AS VR06
                                 FROM
                                    (SELECT VRCONTITIMP, VRIMPOSTOIT,CDSITUTRIBITNFE,VRALIQITEM,FO.IDPRIPUBFORN, CL.IDPRIPUBCLIE, IT.CDFILIAL, IT.NRLANCTONF, IT.NRSEQITPROD, N.IDENTRSAIDOP
                                       FROM ITEMPROIMPOS IT, ITEMPRODUTO IP,IMPOSTO IM, NOTAFISCAL N, FILIAL F,FORNECEDOR FO, CLIENTE CL,
                                          (SELECT DISTINCT I.CDFILIAL, I.NRLANCTONF
                                             FROM IMPOSTONF I, MAPAAPURAC M
                                            WHERE M.CDIMPOSTO     =  '50'
                                              AND M.CDEMPRESA     =  P_CDEMPRESA
                                              AND M.DTINIPERIODO  >= P_DTINICIO
                                              AND M.DTFIMPERIODO  <= P_DTFIM
                                              AND M.NRSEQUMAPAPU  =  I.NRSEQUMAPAPU) NOTA
                                      WHERE IT.CDFILIAL        = NOTA.CDFILIAL
                                        AND IT.NRLANCTONF      = NOTA.NRLANCTONF
                                        AND IT.CDIMPOSTO       = IM.CDIMPOSTO
                                        AND IM.CDIMPOSTONFE    = '50'
                                        AND IT.CDFILIAL        = IP.CDFILIAL
                                        AND IT.NRLANCTONF      = IP.NRLANCTONF
                                        AND IT.NRSEQITPROD     = IP.NRSEQITPROD
                                        AND N.CDFILIAL         = IT.CDFILIAL
                                        AND N.NRLANCTONF       = IT.NRLANCTONF
                                        AND N.CDFILIAL         = NOTA.CDFILIAL
                                        AND N.NRLANCTONF       = NOTA.NRLANCTONF
                                        AND N.CDFILIEMIT       = F.CDFILIAL
                                        AND F.IDCUMUPISCOFIL   = 'N'
                                        AND N.CDFORNECED       = FO.CDFORNECED(+)
                                        AND N.CDCLIENTE        = CL.CDCLIENTE(+)
                                        AND N.IDENTRSAIDOP     = 'S'
                                    )A
                              )B
                          GROUP BY 'R15A', TO_CHAR(P_DTINICIO,'MM'),'01'
      ) LOOP

         V_CONTREG15 := NVL(V_CONTREG15,0) + 1;


         INSERT INTO ARQMAGNETICO
            (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
         VALUES
            ('15'||LPAD(RTRIM(V_CONTREG15), 8, '0'), C_REG_R15A.REG_R15A, P_NRSEQARQMAG);

      END LOOP;

   /*----------------------------------R15B-------------------------------------*/
   ELSIF ((P_PISPASEP = '1') OR (P_PISPASEP = '2')) THEN
     FOR C_REG_R15B IN (SELECT (RPAD('R15B',4,' ')        ||
                                 TO_CHAR(P_DTINICIO,'MM') ||
                                 '01'                     ||
                                 LPAD('0',14,'0')         || --Calculado automaticamente: Coluna "Contribuio" das Linhas 07A/03, 07B/03 e 07B/07
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Valor Apurado" da Ficha 09A
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Valor Apurado" da Ficha 09B
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Valor Apurado" da Ficha 10A
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Valor Apurado" da Ficha 10B
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Contribuio Adicionada" da Ficha 11
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Contribuio Diferida" da Ficha 12
                                 LPAD('0',14,'0')         || --Calculado automaticamente: Soma das Linhas 15B/01 a 15B/07
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Crdito Descontado no Ms" das Fichas 13A e 13B Cdigo de Tipo de Crdito 1
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Crdito Descontado no Ms" das Fichas 13A e 13B Cdigo de Tipo de Crdito 2
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Crdito Descontado no Ms" das Fichas 13A e 13B Cdigo de Tipo de Crdito 3
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Crdito Descontado no Ms" das Fichas 13A e 13B Cdigo de Tipo de Crdito 4
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Crdito Descontado no Ms" das Fichas 13A e 13B Cdigo de Tipo de Crdito 5
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Crdito Descontado no Ms" das Fichas 13A e 13B Cdigo de Tipo de Crdito 6
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Crdito Descontado no Ms" das Fichas 13A e 13B Cdigo de Tipo de Crdito 7
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Crdito Descontado no Ms" das Fichas 13A e 13B Cdigo de Tipo de Crdito 8
                                 LPAD('0',14,'0')         || --Calculado automaticamente: Soma das Linhas 15B/08 a 15B/16
                                 LPAD('0',14,'0')         || --PIS/Pasep retida por rgos pblicos, autarquias e fundaes federais
                                 LPAD('0',14,'0')         || --PIS/Pasep retida pelas demais entidades da administrao pblica federal
                                 LPAD(LTRIM(REPLACE(TO_CHAR(SUM(NVL(B.VR19,0)),'000000000000.00'),'.')),'14','0') || --PIS/Pasep Retida na Fonte por Pessoas Jurdicas de Direito Privado
                                 LPAD(LTRIM(REPLACE(TO_CHAR(SUM(NVL(B.VR20,0)),'000000000000.00'),'.')),'14','0') || --PIS/Pasep Retida na Fonte por rgos, Autarquias e Fundaes dos Estados, Distrito Federal e Municpios
                                 LPAD('0',14,'0')         || --PIS/Pasep Retida na Fonte por Sociedade Cooperativa
                                 LPAD('0',14,'0')         || --PIS/Pasep Retida na Fonte por Fabricantes de Veculos e Mquinas
                                 LPAD('0',14,'0')         || --PIS/Pasep Substituio pela no Ocorrncia do Fato Gerador Presumido
                                 LPAD('0',14,'0')         || --Crdito Presumido  Medicamentos
                                 LPAD('0',14,'0')         || --Para coluna 1 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --PIS/Pasep Paga pelo Substituto Tributrio
                                 LPAD('0',14,'0')         || --Outras Dedues
                                 LPAD('0',14,'0')         || --Calculado automaticamente: Soma das Linhas 15B/17 a 15B/28 - Faturamento
                                 LPAD('0',14,'0')         || --PIS/Pasep  pagar - Folha de Salrios
                                 LPAD('0',14,'0')         || --PIS/Pasep  pagar de SCP
                                 LPAD('0',14,'0')         || --PIS/Pasep  pagar retida de cooperados
                                 LPAD('0',52,'0')         ||
                                 LPAD('0',10,'0'))REG_R15B
                          FROM
                             (SELECT TO_CHAR(A.VRIMPOSTOIT) AS VR01,
                                     (CASE WHEN A.CDSITUTRIBITNFE = '02' THEN  TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0')END) AS VR02,
                                     (CASE WHEN ((A.CDSITUTRIBITNFE = '05')AND(VRALIQITEM > 0.00))THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR03,
                                     (CASE WHEN A.CDSITUTRIBITNFE = '03' THEN  TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR04,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('101','102','103','104','107','108','109','199')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1')) THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR09,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('201','202','203','204','207','208','209','299')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1')) THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR10,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('301','302','303','304','307','308','309','399')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1'))   THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR11,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('106','206','306')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1')) THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR12,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('105','205','305')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1')) THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR13,
                                     (CASE WHEN ((A.IDPRIPUBFORN  = 'V') OR (A.IDPRIPUBCLIE = 'V')) AND IDENTRSAIDOP = 'S' THEN TO_CHAR((VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '55', 'I') + VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '56', 'I'))) ELSE LPAD('0',14,'0') END) AS VR19,
                                     (CASE WHEN ((A.IDPRIPUBFORN  = 'B') OR (A.IDPRIPUBCLIE = 'B')) AND IDENTRSAIDOP = 'S' THEN TO_CHAR((VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '55', 'I') + VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '56', 'I'))) ELSE LPAD('0',14,'0') END) AS VR20
                                FROM
                                   (SELECT VRCONTITIMP, VRIMPOSTOIT,CDSITUTRIBITNFE,VRALIQITEM,FO.IDPRIPUBFORN, CL.IDPRIPUBCLIE, IT.CDFILIAL, IT.NRLANCTONF, IT.NRSEQITPROD, CDTPCREDPICOITE, N.IDENTRSAIDOP
                                      FROM ITEMPROIMPOS IT, ITEMPRODUTO IP,IMPOSTO IM, NOTAFISCAL N, FILIAL F,FORNECEDOR FO, CLIENTE CL,
                                         (SELECT DISTINCT I.CDFILIAL, I.NRLANCTONF
                                            FROM IMPOSTONF I, MAPAAPURAC M
                                           WHERE M.CDIMPOSTO     =  '50'
                                             AND M.CDEMPRESA     =  P_CDEMPRESA
                                             AND M.DTINIPERIODO  >= P_DTINICIO
                                             AND M.DTFIMPERIODO  <= P_DTFIM
                                             AND M.NRSEQUMAPAPU  =  I.NRSEQUMAPAPU) NOTA
                                     WHERE IT.CDFILIAL        = NOTA.CDFILIAL
                                       AND IT.NRLANCTONF      = NOTA.NRLANCTONF
                                       AND IT.CDIMPOSTO       = IM.CDIMPOSTO
                                       AND IM.CDIMPOSTONFE    = '50'
                                       AND IT.CDFILIAL        = IP.CDFILIAL
                                       AND IT.NRLANCTONF      = IP.NRLANCTONF
                                       AND IT.NRSEQITPROD     = IP.NRSEQITPROD
                                       AND N.CDFILIAL         = IT.CDFILIAL
                                       AND N.NRLANCTONF       = IT.NRLANCTONF
                                       AND N.CDFILIAL         = NOTA.CDFILIAL
                                       AND N.NRLANCTONF       = NOTA.NRLANCTONF
                                       AND DECODE(IDENTRSAIDOP,'S',N.CDFILIEMIT,N.CDFILIRECE) = F.CDFILIAL
                                       AND F.IDCUMUPISCOFIL   = 'S'
                                       AND N.CDFORNECED       = FO.CDFORNECED(+)
                                       AND N.CDCLIENTE        = CL.CDCLIENTE(+)
                                       AND N.IDENTRSAIDOP     = 'S'
                                   )A
                             )B
                         GROUP BY 'R15B', TO_CHAR(P_DTINICIO,'MM'),'01'

                         UNION ALL

                         SELECT (RPAD('R15B',4,' ')        ||
                                 TO_CHAR(P_DTINICIO,'MM') ||
                                 '02'                     ||
                                 LPAD('0',14,'0')         || --Calculado automaticamente: Coluna "Contribuio" das Linhas 07A/03, 07B/03 e 07B/07
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Valor Apurado" da Ficha 09A
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Valor Apurado" da Ficha 09B
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Contribuio Adicionada" da Ficha 11
                                 LPAD('0',14,'0')         || --Calculado automaticamente: "Contribuio Diferida" da Ficha 12
                                 LPAD('0',14,'0')         || --Calculado automaticamente: Soma das Linhas 15B/01 a 15B/07
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Para coluna 2 deve ser preenchido com zeros
                                 LPAD('0',14,'0')         || --Calculado automaticamente: Soma das Linhas 15B/08 a 15B/16
                                 LPAD('0',14,'0')         || --PIS/Pasep retida por rgos pblicos, autarquias e fundaes federais
                                 LPAD('0',14,'0')         || --PIS/Pasep retida pelas demais entidades da administrao pblica federal
                                 LPAD(LTRIM(REPLACE(TO_CHAR(SUM(NVL(B.VR19,0)),'000000000000.00'),'.')),'14','0') || --PIS/Pasep Retida na Fonte por Pessoas Jurdicas de Direito Privado
                                 LPAD(LTRIM(REPLACE(TO_CHAR(SUM(NVL(B.VR20,0)),'000000000000.00'),'.')),'14','0') || --PIS/Pasep Retida na Fonte por rgos, Autarquias e Fundaes dos Estados, Distrito Federal e Municpios
                                 LPAD('0',14,'0')         || --PIS/Pasep Retida na Fonte por Sociedade Cooperativa
                                 LPAD('0',14,'0')         || --PIS/Pasep Retida na Fonte por Fabricantes de Veculos e Mquinas
                                 LPAD('0',14,'0')         || --PIS/Pasep Substituio pela no Ocorrncia do Fato Gerador Presumido
                                 LPAD('0',14,'0')         || --Crdito Presumido  Medicamentos
                                 LPAD('0',14,'0')         || --Crditos Admitidos no Regime Cumulativo
                                 LPAD('0',14,'0')         || --PIS/Pasep Paga pelo Substituto Tributrio
                                 LPAD('0',14,'0')         || --Outras Dedues
                                 LPAD('0',14,'0')         || --Calculado automaticamente: Soma das Linhas 15B/17 a 15B/28 - Faturamento
                                 LPAD('0',14,'0')         || --PIS/Pasep  pagar - Folha de Salrios
                                 LPAD('0',14,'0')         || --PIS/Pasep  pagar de SCP
                                 LPAD('0',14,'0')         || --PIS/Pasep  pagar retida de cooperados
                                 LPAD('0',52,'0')         ||
                                 LPAD('0',10,'0'))REG_R15B
                          FROM
                             (SELECT TO_CHAR(A.VRIMPOSTOIT) AS VR01,
                                     (CASE WHEN A.CDSITUTRIBITNFE = '02' THEN  TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0')END) AS VR02,
                                     (CASE WHEN ((A.CDSITUTRIBITNFE = '05')AND(VRALIQITEM > 0.00))THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR03,
                                     (CASE WHEN A.CDSITUTRIBITNFE = '03' THEN  TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR04,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('101','102','103','104','107','108','109','199')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1')) THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR09,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('201','202','203','204','207','208','209','299')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1')) THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR10,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('301','302','303','304','307','308','309','399')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1'))   THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR11,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('106','206','306')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1')) THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR12,
                                     (CASE WHEN ((A.CDTPCREDPICOITE  IN ('105','205','305')) AND (SUBSTR(A.CDTPCREDPICOITE,1,1)= '1')) THEN TO_CHAR(A.VRIMPOSTOIT) ELSE LPAD('0',14,'0') END) AS VR13,
                                     (CASE WHEN ((A.IDPRIPUBFORN  = 'V') OR (A.IDPRIPUBCLIE = 'V')) AND IDENTRSAIDOP = 'S' THEN TO_CHAR((VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '55', 'I') + VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '56', 'I'))) ELSE LPAD('0',14,'0') END) AS VR19,
                                     (CASE WHEN ((A.IDPRIPUBFORN  = 'B') OR (A.IDPRIPUBCLIE = 'B')) AND IDENTRSAIDOP = 'S' THEN TO_CHAR((VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '55', 'I') + VALOR_IMPOSTO_ITEM_NFE(A.CDFILIAL, A.NRLANCTONF, A.NRSEQITPROD, '56', 'I'))) ELSE LPAD('0',14,'0') END) AS VR20
                                FROM
                                   (SELECT VRCONTITIMP, VRIMPOSTOIT,CDSITUTRIBITNFE,VRALIQITEM,FO.IDPRIPUBFORN, CL.IDPRIPUBCLIE, IT.CDFILIAL, IT.NRLANCTONF, IT.NRSEQITPROD, CDTPCREDPICOITE, N.IDENTRSAIDOP
                                      FROM ITEMPROIMPOS IT, ITEMPRODUTO IP,IMPOSTO IM, NOTAFISCAL N, FILIAL F,FORNECEDOR FO, CLIENTE CL,
                                         (SELECT DISTINCT I.CDFILIAL, I.NRLANCTONF
                                            FROM IMPOSTONF I, MAPAAPURAC M
                                           WHERE M.CDIMPOSTO     =  '50'
                                             AND M.CDEMPRESA     =  P_CDEMPRESA
                                             AND M.DTINIPERIODO  >= P_DTINICIO
                                             AND M.DTFIMPERIODO  <= P_DTFIM
                                             AND M.NRSEQUMAPAPU  =  I.NRSEQUMAPAPU) NOTA
                                     WHERE IT.CDFILIAL        = NOTA.CDFILIAL
                                       AND IT.NRLANCTONF      = NOTA.NRLANCTONF
                                       AND IT.CDIMPOSTO       = IM.CDIMPOSTO
                                       AND IM.CDIMPOSTONFE    = '50'
                                       AND IT.CDFILIAL        = IP.CDFILIAL
                                       AND IT.NRLANCTONF      = IP.NRLANCTONF
                                       AND IT.NRSEQITPROD     = IP.NRSEQITPROD
                                       AND N.CDFILIAL         = IT.CDFILIAL
                                       AND N.NRLANCTONF       = IT.NRLANCTONF
                                       AND N.CDFILIAL         = NOTA.CDFILIAL
                                       AND N.NRLANCTONF       = NOTA.NRLANCTONF
                                       AND DECODE(IDENTRSAIDOP,'S',N.CDFILIEMIT,N.CDFILIRECE) = F.CDFILIAL
                                       AND F.IDCUMUPISCOFIL   = 'N'
                                       AND N.CDFORNECED       = FO.CDFORNECED(+)
                                       AND N.CDCLIENTE        = CL.CDCLIENTE(+)
                                       AND P_PISPASEP         = '2'
				       AND N.IDENTRSAIDOP     = 'S'
                                   )A
                             )B
                         GROUP BY 'R15B', TO_CHAR(P_DTINICIO,'MM'),'01'
     ) LOOP
        V_CONTREG15 := NVL(V_CONTREG15,0) + 1;
        INSERT INTO ARQMAGNETICO
           (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
        VALUES
           ('16'||LPAD(RTRIM(V_CONTREG15), 8, '0'), C_REG_R15B.REG_R15B, P_NRSEQARQMAG);
     END LOOP;
   END IF;
     RETURN(V_CONTREG15);
 END;
/

-- VERSAO --
BEGIN ATUVEROBJ('ARQUIVO_DACON_R15','5.60.000'); END;
/

